Subject: bug#76978: [PATCH] package.el: Add built-in version check and loaded package marking

From: Ship Mints <[email-masked]>
Date: Wed, 19 Mar 2025 16:45:44 -0400

No
On Wed, Mar 19, 2025 at 16:36 Ship Mints <[email-masked]> wrote:

>
> On Wed, Mar 19, 2025 at 16:26 Stefan Monnier <[email-masked]>
> wrote:
>
>> > With the patch in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76568
>> > duplicates will be harder to install.
>>
>> They're still easy to have (e.g. install some packages system-wide and
>> then let the users install other versions in their home dir), and that's
>> a good thing: we want to support setups with several versions installed
>> at the same time.  Of course, users usually don't want that, so it's
>> good to make sure it doesn't happen by accident.  In any case, my
>> question was simply to confirm that I understood correctly the
>> information that's displayed.
>
>
> Maybe I should change the patch to prompt for allowing a dupe install if
> that's what someone wants?
>

Hmm. Maybe it already does. Not at my computer.